"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@babel/core");
var index_1 = __importDefault(require("./index"));
test('react default', function () {
    var code = (0, core_1.transformSync)("\n    import React from 'react'\n    import { View } from '@ray-core/one'\n\n    function Demo() {\n      return <View>demo</View>\n    }\n  ".trim(), {
        filename: 'file.tsx',
        babelrc: false,
        presets: [index_1.default],
    }).code;
    expect(code).toMatch("/*#__PURE__*/_react.default.createElement(_one.View, null, \"demo\")");
});
test('react options', function () {
    var code = (0, core_1.transformSync)("\n    import React from 'react'\n    import { View } from '@ray-core/one'\n\n    function Demo() {\n      return <View>demo</View>\n    }\n  ".trim(), {
        filename: 'file.tsx',
        babelrc: false,
        presets: [[index_1.default, { react: { development: true } }]],
    }).code;
    expect(code).toMatch("return /*#__PURE__*/_react.default.createElement(_one.View, {");
    expect(code).toMatch("__self: this,");
});
